Reviewer
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
expertisestringOptional
biostringOptional
tagsstring[]Optional
Responses
200
Reviewer registered successfully
application/json
codestringOptional
messagestringOptional
400
Invalid request or user already a reviewer
401
Unauthorized
post
/api/v1/reviewerAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idinteger · int64Required
ID of the Reviewer
Responses
200
Reviewer data retrieved
application/json
codestringOptional
messagestringOptional
401
Unauthorized
404
Reviewer not found
get
/api/v1/reviewer/{id}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idinteger · int64Required
ID of the Reviewer to update (must match authenticated user's reviewer profile or be admin)
Body
expertisestringOptional
biostringOptional
tagsstring[]Optional
Responses
200
Reviewer updated successfully
application/json
codestringOptional
messagestringOptional
400
Invalid request
401
Unauthorized
403
Forbidden
404
Reviewer not found
put
/api/v1/reviewer/{id}Last updated